package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.product.vo.SkuLangVO;
import com.tmerclub.cloud.common.product.vo.SpuLangVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * @author gaozijie
 * @since 2023-11-30
 */
public class AllotSpuVO {

    @Schema(description = "商品spuId")
    private Long spuId;

    @Schema(description = "spu名称多语言")
    private List<SpuLangVO> spuLangVOList;

    @Schema(description = "商品skuId")
    private Long skuId;

    @Schema(description = "商品编码")
    private String partyCode;

    @Schema(description = "sku名称多语言")
    private List<SkuLangVO> skuLangVOList;

    @Schema(description = "商品主图")
    private String mainImgUrl;

    @Schema(description = "商品规格图")
    private String imgUrl;

    @Schema(description = "入库仓库存")
    private Integer inWarehouseStock;

    @Schema(description = "出库仓库存")
    private Integer outWarehouseStock;

    @Schema(description = "调拨数量")
    private Integer allotCount;

    public AllotSpuVO() {
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public List<SpuLangVO> getSpuLangVOList() {
        return spuLangVOList;
    }

    public void setSpuLangVOList(List<SpuLangVO> spuLangVOList) {
        this.spuLangVOList = spuLangVOList;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public List<SkuLangVO> getSkuLangVOList() {
        return skuLangVOList;
    }

    public void setSkuLangVOList(List<SkuLangVO> skuLangVOList) {
        this.skuLangVOList = skuLangVOList;
    }

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public Integer getInWarehouseStock() {
        return inWarehouseStock;
    }

    public void setInWarehouseStock(Integer inWarehouseStock) {
        this.inWarehouseStock = inWarehouseStock;
    }

    public Integer getOutWarehouseStock() {
        return outWarehouseStock;
    }

    public void setOutWarehouseStock(Integer outWarehouseStock) {
        this.outWarehouseStock = outWarehouseStock;
    }

    public Integer getAllotCount() {
        return allotCount;
    }

    public void setAllotCount(Integer allotCount) {
        this.allotCount = allotCount;
    }

    @Override
    public String toString() {
        return "AllotSpuVO{" +
                "spuId=" + spuId +
                ", spuLangVOList=" + spuLangVOList +
                ", skuId=" + skuId +
                ", partyCode='" + partyCode + '\'' +
                ", skuLangVOList=" + skuLangVOList +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", imgUrl='" + imgUrl + '\'' +
                ", inWarehouseStock=" + inWarehouseStock +
                ", outWarehouseStock=" + outWarehouseStock +
                ", allotCount=" + allotCount +
                '}';
    }
}
